package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 综合评价评定小组任务对象 cph_stu_eva_task
 * 
 * @author srs
 * @date 2023-08-19
 */
public class CphStuEvaTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学生评价id */
    private Long id;

    /** 发起人工号 */
    @Excel(name = "发起人工号")
    private String taskTNo;

    /** 任务状态 */
    @Excel(name = "任务状态")
    private String status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 学年id */
    @Excel(name = "学年id")
    private Long stuYearId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskTNo(String taskTNo) 
    {
        this.taskTNo = taskTNo;
    }

    public String getTaskTNo() 
    {
        return taskTNo;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setTaskName(String taskName) 
    {
        this.taskName = taskName;
    }

    public String getTaskName() 
    {
        return taskName;
    }
    public void setStuYearId(Long stuYearId) 
    {
        this.stuYearId = stuYearId;
    }

    public Long getStuYearId() 
    {
        return stuYearId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskTNo", getTaskTNo())
            .append("status", getStatus())
            .append("startTime", getStartTime())
            .append("taskName", getTaskName())
            .append("stuYearId", getStuYearId())
            .toString();
    }
}
